SystemOrganization addCategory: #'Magritte-Scriptaculous'!

MAListCompositonComponent subclass: #MAListCompositonComponentSU
	instanceVariableNames: 'id availableId selectedId'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Magritte-Scriptaculous'!

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/20/2007 10:26'!
formId

	^ self labelId, '-f'! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/26/2007 17:13'!
renderEditorAvailableOn: html

	html select
		attributes: self attributes;
		id: availableId;
		size: 6; style: 'width: 150px';
		list: self availableList;
		selected: self availableSelected;
		callback: [ :value | self availableSelected: value ];
		labels: [ :value | self labelForOption: value ]! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/26/2007 17:18'!
renderEditorButtonAddOn: html

	html button
		onClick:  (html updater
					id: id;
					triggerFormElement: availableId;
					callback: [ :r | self add; updateEditorOn: r ];
					return: false);
		with: '>>'.
	html break.
	html button
		onClick: (html updater
					id: id;
					triggerFormElement: selectedId;
					callback: [ :r | self remove; updateEditorOn: r ];
					return: false);
		with: '<<'! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/26/2007 17:18'!
renderEditorButtonOrderOn: html

	html button
		onClick:  (html updater
					id: id;
					triggerFormElement: selectedId;
					callback: [ :r | self moveUp; updateEditorOn: r ];
					return: false);
		text: 'up'.
	html break.
	html button
		onClick:  (html updater
					id: id;
					triggerFormElement: selectedId;
					callback: [ :r | self moveDown; updateEditorOn: r ]; 
					return: false);
		text: 'down'! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/26/2007 17:13'!
renderEditorOn: html 
	id := html nextId.
	availableId := html nextId.
	selectedId := html nextId.
	html div
		id: id;
		with: 
			 [self updateEditorOn: html] ! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/26/2007 17:13'!
renderEditorSelectedOn: html
 	html select
		attributes: self attributes;
		id: selectedId;
		size: 6; style: 'width: 150px';
		list: self selectedList;
		selected: self selectedSelected;
		callback: [ :value | self selectedSelected: value ];
		labels: [ :value | self labelForOption: value ]! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/16/2007 08:56'!
updateEditorOn: html
		super renderEditorOn: html! !

!MAListCompositonComponentSU methodsFor: 'as yet unclassified' stamp: 'kph 9/20/2007 10:26'!
updateId

	^ self labelId, '-u'! !
